<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">     
    <script src="jquey/jquery-1.11.1.js"></script>     
</head>
<body>    
    <div id="header" />
    <div>Conteúdo da página</div>
    <div id="teste" />

    <script>
       $(function(){
           $("#header").load("header.html");                       
           $("#teste").load("footer.html"); 
       });
    </script>    
</body>
</html>